Package groovy.util

# Class GroovyTestSuite

java.lang.Object
junit.framework.TestSuite
groovy.util.GroovyTestSuite

All Implemented Interfaces:
  `junit.framework.Test`

    @Deprecated
    public class GroovyTestSuite
    extends junit.framework.TestSuite

Deprecated.
A TestSuite which will run a Groovy unit test case inside any Java IDE either as a unit test case or as an application.

You can specify the GroovyUnitTest to run by running this class as an application and specifying the script to run on the command line. `java groovy.util.GroovyTestSuite src/test/Foo.groovy` Or to run the test suite as a unit test suite in an IDE you can use the 'test' system property to define the test script to run. e.g. pass this into the JVM when the unit test plugin runs... `-Dtest=src/test/Foo.groovy`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected static java.lang.String` | `file` | Deprecated.
  `protected GroovyClassLoader` | `loader` | Deprecated.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `GroovyTestSuite()` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Class` | `compile​(java.lang.String fileName)` | Deprecated.
  `void` | `loadTestSuite()` | Deprecated.
  `static void` | `main​(java.lang.String[] args)` | Deprecated.
  `static junit.framework.Test` | `suite()` | Deprecated.

  ### Methods inherited from class junit.framework.TestSuite

  `addTest, addTestSuite, countTestCases, createTest, getName, getTestConstructor, run, runTest, setName, testAt, testCount, tests, toString, warning`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### file

    protected static java.lang.String file
    Deprecated.

  - ### loader

    protected final GroovyClassLoader loader
    Deprecated.

- ## Constructor Details

  - ### GroovyTestSuite

    public GroovyTestSuite()
    Deprecated.

- ## Method Details

  - ### main

    public static void main​(java.lang.String[] args)
    Deprecated.

  - ### suite

    public static junit.framework.Test suite()
    Deprecated.

  - ### loadTestSuite

    public void loadTestSuite() throws java.lang.Exception
    Deprecated.
    Throws:
      `java.lang.Exception`

  - ### compile

    public java.lang.Class compile​(java.lang.String fileName) throws java.lang.Exception
    Deprecated.
    Throws:
      `java.lang.Exception`